<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [selectTemplate](./foundation-header.navigation.selecttemplate.md)

## Navigation.selectTemplate() method

**Signature:**

```typescript
selectTemplate(): import("@microsoft/fast-element").ViewTemplate<Navigation, any>;
```
**Returns:**

import("@microsoft/fast-element").ViewTemplate&lt;[Navigation](./foundation-header.navigation.md)<!-- -->, any&gt;

